﻿USE [COWS]
GO
SET NOCOUNT ON
GO
ALTER TABLE dbo.LK_VNDR_EMAIL_TYPE NOCHECK CONSTRAINT ALL 
GO
IF ((SELECT COUNT(*) FROM [COWS].[dbo].[LK_VNDR_EMAIL_TYPE] WHERE VNDR_EMAIL_TYPE_ID = 1) = 0)
BEGIN
	INSERT INTO [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]([VNDR_EMAIL_TYPE_ID],[VNDR_EMAIL_TYPE_DES],[CREAT_DT])
    VALUES (1,'Vendor Order',GETDATE())
END
ELSE
BEGIN
	UPDATE [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]
	SET [VNDR_EMAIL_TYPE_DES] = 'Vendor Order',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_EMAIL_TYPE_ID] = 1
END
IF ((SELECT COUNT(*) FROM [COWS].[dbo].[LK_VNDR_EMAIL_TYPE] WHERE VNDR_EMAIL_TYPE_ID = 2) = 0)
BEGIN
	INSERT INTO [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]([VNDR_EMAIL_TYPE_ID],[VNDR_EMAIL_TYPE_DES],[CREAT_DT])
    VALUES (2,'CCD - Customer Commit Date Change',GETDATE())
END
ELSE
BEGIN
	UPDATE [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]
	SET [VNDR_EMAIL_TYPE_DES] = 'CCD - Customer Commit Date Change',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_EMAIL_TYPE_ID] = 2
END
IF ((SELECT COUNT(*) FROM [COWS].[dbo].[LK_VNDR_EMAIL_TYPE] WHERE VNDR_EMAIL_TYPE_ID = 3) = 0)
BEGIN
	INSERT INTO [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]([VNDR_EMAIL_TYPE_ID],[VNDR_EMAIL_TYPE_DES],[CREAT_DT])
    VALUES (3,'ACR - Additional Cost Request',GETDATE())
END
ELSE
BEGIN
	UPDATE [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]
	SET [VNDR_EMAIL_TYPE_DES] = 'ACR - Additional Cost Request',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_EMAIL_TYPE_ID] = 3
END
IF ((SELECT COUNT(*) FROM [COWS].[dbo].[LK_VNDR_EMAIL_TYPE] WHERE VNDR_EMAIL_TYPE_ID = 4) = 0)
BEGIN
	INSERT INTO [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]([VNDR_EMAIL_TYPE_ID],[VNDR_EMAIL_TYPE_DES],[CREAT_DT])
    VALUES (4,'Vendor Order Confirmation',GETDATE())
END
ELSE
BEGIN
	UPDATE [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]
	SET [VNDR_EMAIL_TYPE_DES] = 'Vendor Order Confirmation',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_EMAIL_TYPE_ID] = 4
END
IF ((SELECT COUNT(*) FROM [COWS].[dbo].[LK_VNDR_EMAIL_TYPE] WHERE VNDR_EMAIL_TYPE_ID = 5) = 0)
BEGIN
	INSERT INTO [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]([VNDR_EMAIL_TYPE_ID],[VNDR_EMAIL_TYPE_DES],[CREAT_DT])
    VALUES (5,'Vendor Order Disconnect Confirmation',GETDATE())
END
ELSE
BEGIN
	UPDATE [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]
	SET [VNDR_EMAIL_TYPE_DES] = 'Vendor Order Disconnect Confirmation',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_EMAIL_TYPE_ID] = 5
END
IF ((SELECT COUNT(*) FROM [COWS].[dbo].[LK_VNDR_EMAIL_TYPE] WHERE VNDR_EMAIL_TYPE_ID = 6) = 0)
BEGIN
	INSERT INTO [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]([VNDR_EMAIL_TYPE_ID],[VNDR_EMAIL_TYPE_DES],[CREAT_DT])
    VALUES (6,'ASR',GETDATE())
END
ELSE
BEGIN
	UPDATE [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]
	SET [VNDR_EMAIL_TYPE_DES] = 'ASR',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_EMAIL_TYPE_ID] = 6
END
IF ((SELECT COUNT(*) FROM [COWS].[dbo].[LK_VNDR_EMAIL_TYPE] WHERE VNDR_EMAIL_TYPE_ID = 7) = 0)
BEGIN
	INSERT INTO [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]([VNDR_EMAIL_TYPE_ID],[VNDR_EMAIL_TYPE_DES],[CREAT_DT])
    VALUES (7,'Vendor Request',GETDATE())
END
ELSE
BEGIN
	UPDATE [COWS].[dbo].[LK_VNDR_EMAIL_TYPE]
	SET [VNDR_EMAIL_TYPE_DES] = 'Vendor Request',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_EMAIL_TYPE_ID] = 7
END
ALTER TABLE dbo.LK_VNDR_EMAIL_TYPE CHECK CONSTRAINT ALL 
GO
